Subject: Re: [RFC] [PATCH] Optimize TCP sendmsg in favour of fast devices?

From: Rick Jones <[email-masked]>
Date: Tue, 19 Jan 2010 09:41:26 -0800

Krishna Kumar2 wrote:
> Rick Jones <[email-masked]> wrote on 01/15/2010 11:43:06 PM:
>>Multiple process tests may not be as easy in netperf as it is in
>>iperf, but under:
>>
>>ftp://ftp.netperf.org/netperf/misc
>>
>> I have a single-stream test script I use called runemomni.sh and an
>> example of its output, as well as an aggregate script I use called
>> runemomniagg2.sh - I'll post an example of its output there as
>> soon as I finish some runs.
> 
> 
> I usually run netperf for smaller number of threads and aggregate
> the output using some scripts. I will try what you suggested above,
> and see if I can get consistent results for higher number of
> processes. Thanks for the links.

You're welcome - the output of the aggregate script is up there too now 
- generally I run three systems for the aggregate tests and then include 
the TCP_MAERTs stuff, but in this case since I had only two otherwise 
identical systems, TCP_MAERTs would have been redundant.

rick jones